## postgresql-multicorn 1.0.4

=== Makefile ===
MODULE_big   = multicorn
OBJS         =  src/errors.o src/python.o src/query.o src/multicorn.o


DATA         = $(filter-out $(wildcard sql/*--*.sql),$(wildcard sql/*.sql))

DOCS         = $(wildcard doc/*.md)

EXTENSION    = multicorn
EXTVERSION   = $(shell grep default_version $(EXTENSION).control | sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")

all: preflight-check sql/$(EXTENSION)--$(EXTVERSION).sql

install: python_code 

sql/$(EXTENSION)--$(EXTVERSION).sql: sql/$(EXTENSION).sql
	cp $< $@

preflight-check:
	./preflight-check.sh


python_code: setup.py
	cp ./setup.py ./setup--$(EXTVERSION).py
	sed -i -e "s/__VERSION__/$(EXTVERSION)-dev/g" ./setup--$(EXTVERSION).py
	$(PYTHON) ./setup--$(EXTVERSION).py install
	rm ./setup--$(EXTVERSION).py

release-zip: all
	git archive --format zip --prefix=multicorn-$(EXTVERSION)/ --output ./multicorn-$(EXTVERSION).zip HEAD
	unzip ./multicorn-$(EXTVERSION).zip
	rm ./multicorn-$(EXTVERSION).zip
	sed -i -e "s/__VERSION__/$(EXTVERSION)/g"  ./multicorn-$(EXTVERSION)/META.json  ./multicorn-$(EXTVERSION)/setup.py  ./multicorn-$(EXTVERSION)/python/multicorn/__init__.py
	zip -r ./multicorn-$(EXTVERSION).zip ./multicorn-$(EXTVERSION)/
	rm ./multicorn-$(EXTVERSION) -rf

coverage:
	lcov -d . -c -o lcov.info
	genhtml --show-details --legend --output-directory=coverage --title=PostgreSQL --num-spaces=4 --prefix=./src/ `find . -name lcov.info -print`

DATA = sql/$(EXTENSION)--$(EXTVERSION).sql
EXTRA_CLEAN = sql/$(EXTENSION)--$(EXTVERSION).sql ./multicorn-$(EXTVERSION).zip
PG_CONFIG ?= pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
REGRESS      = virtual_tests

include $(PGXS)

with_python_no_override = no

ifeq ($(with_python),yes)
	with_python_no_override = yes
endif

ifdef PYTHON_OVERRIDE
	with_python_no_override = no
endif


ifeq ($(with_python_no_override),yes)
	SHLIB_LINK = $(python_libspec) $(python_additional_libs) $(filter -lintl,$(LIBS))
	override CPPFLAGS := -I. -I$(srcdir) $(python_includespec) $(CPPFLAGS)
	override PYTHON = python${python_version}
else
	ifdef PYTHON_OVERRIDE
		override PYTHON = ${PYTHON_OVERRIDE}
	endif

	ifeq (${PYTHON}, )
		override PYTHON = python
	endif


	python_version = $(shell ${PYTHON} --version 2>&1 | cut -d ' ' -f 2 | cut -d '.' -f 1-2)
	PYTHON_CONFIG ?= python${python_version}-config

	PY_LIBSPEC = $(shell ${PYTHON_CONFIG} --libs)
	PY_INCLUDESPEC = $(shell ${PYTHON_CONFIG} --includes)
	PY_CFLAGS = $(shell ${PYTHON_CONFIG} --cflags)
	PY_LDFLAGS = $(shell ${PYTHON_CONFIG} --ldflags)
	SHLIB_LINK += $(PY_LIBSPEC) $(PY_LDFLAGS) $(PY_ADDITIONAL_LIBS) $(filter -lintl,$(LIBS))
	override PG_CPPFLAGS  := $(PY_INCLUDESPEC) $(PG_CPPFLAGS)
	override CPPFLAGS := $(PG_CPPFLAGS) $(CPPFLAGS)
endif


PYTHON_TEST_VERSION ?= $(python_version)
PG_TEST_VERSION ?= $(MAJORVERSION)
SUPPORTS_WRITE=$(shell expr ${PG_TEST_VERSION} \>= 9.3)

TESTS        = $(wildcard test-$(PYTHON_TEST_VERSION)/sql/multicorn*.sql)
ifeq (${SUPPORTS_WRITE}, 1)
  TESTS += $(wildcard test-$(PYTHON_TEST_VERSION)/sql/write*.sql)
endif
REGRESS      = $(patsubst test-$(PYTHON_TEST_VERSION)/sql/%.sql,%,$(TESTS))
REGRESS_OPTS = --inputdir=test-$(PYTHON_TEST_VERSION) --load-language=plpgsql

$(info Python version is $(python_version))

=== debian/changelog ===
postgresql-multicorn (1.0.4-1) unstable; urgency=low

  [ Markus Wanner ]
  * Initial release. Closes: #753889.

 -- Christoph Berg <myon@debian.org>  Sun, 28 Sep 2014 17:59:59 +0200

=== debian/control ===
Source: postgresql-multicorn
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Markus Wanner <markus@bluegap.ch>, Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9~), dh-python,
 postgresql-server-dev-all (>= 153~),
 python-dev (>= 2.7~), python3-dev,
 python-setuptools, python3-setuptools,
 python-pytest, python3-pytest,
 python-docutils, python3-docutils
Standards-Version: 3.9.5
Homepage: http://multicorn.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/postgresql-multicorn.git
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-postgresql/postgresql-multicorn.git

Package: python-multicorn
Section: python
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends:
 python-sqlalchemy,
 python-lxml,
 python-ldap
Suggests: postgresql-9.4-python-multicorn
Description: multicorn utility module for postgresql-X.Y-python-multicorn
 Multicorn is a PostgreSQL extension meant to make Foreign Data
 Wrapper development easy, by allowing the programmer to use the
 Python programming language
 .
 This package provides a common Python 2 module used by all PostgreSQL
 versions of the extension.

Package: python3-multicorn
Section: python
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends:
 python3-sqlalchemy,
 python3-lxml,
 python3-ldap
Suggests: postgresql-9.4-python3-multicorn
Description: multicorn utility module for postgresql-X.Y-python3-multicorn
 Multicorn is a PostgreSQL extension meant to make Foreign Data
 Wrapper development easy, by allowing the programmer to use the
 Python programming language
 .
 This package provides a common Python 3 module used by all PostgreSQL
 versions of the extension.

Package: postgresql-9.4-python-multicorn
Architecture: any
Depends: python-multicorn, ${misc:Depends}, ${shlibs:Depends}, postgresql-9.4
Conflicts: postgresql-9.4-python3-multicorn
Description: multicorn extension for Postgres 9.4 to write FDWs with python2
 Multicorn is a PostgreSQL extension meant to make Foreign Data
 Wrapper development easy, by allowing the programmer to use the
 Python programming language
 .
 This package is for PostgreSQL 9.4 and uses Python 2.

Package: postgresql-9.4-python3-multicorn
Architecture: any
Depends: python3-multicorn, ${misc:Depends}, ${shlibs:Depends}, postgresql-9.4
Conflicts: postgresql-9.4-python-multicorn
Description: multicorn extension for Postgres 9.4 to write FDWs with python3
 Multicorn is a PostgreSQL extension meant to make Foreign Data
 Wrapper development easy, by allowing the programmer to use the
 Python programming language
 .
 This package is for PostgreSQL 9.4 and uses Python 3.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

export PYBUILD_NAME=multicorn

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
#	Build the extension via pg_buildext.
	+PYTHON_OVERRIDE=python2 pg_buildext build build-%v-python2
	+PYTHON_OVERRIDE=python3 pg_buildext build build-%v-python3

#	Invoke python build process for the common python module.
	dh_auto_build

override_dh_auto_install:
	+PYTHON_OVERRIDE=python2 pg_buildext install build-%v-python2 \
		postgresql-%v-python-multicorn
	+PYTHON_OVERRIDE=python3 pg_buildext install build-%v-python3 \
		postgresql-%v-python3-multicorn

	dh_auto_install

override_dh_installdocs:
	dh_installdocs --all README*

override_dh_python2:
	# we don't support 2.6 on wheezy, only 2.7
	dh_python2 -O--buildsystem=pybuild --no-guessing-versions

override_dh_auto_clean:
	dh_auto_clean
	+PYTHON_OVERRIDE=python2 pg_buildext clean build-%v-python2
	+PYTHON_OVERRIDE=python3 pg_buildext clean build-%v-python3
	rm -rf regression.diffs regression.out results

=== debian/tests/control ===
Depends: postgresql-9.4-python-multicorn, python-psycopg2, python-sqlalchemy, postgresql-server-dev-all, postgresql-contrib, postgresql-plpython
Test-Command: debian/tests/installcheck python2
Restrictions: needs-root allow-stderr

Depends: postgresql-9.4-python3-multicorn, python3-psycopg2, python3-sqlalchemy, postgresql-server-dev-all, postgresql-contrib, postgresql-plpython3
Test-Command: debian/tests/installcheck python3
Restrictions: needs-root allow-stderr

## postgresql-multicorn 1.2.2

=== Makefile ===
--- 
+++ 
@@ -1,27 +1,34 @@
+srcdir       = .
 MODULE_big   = multicorn
 OBJS         =  src/errors.o src/python.o src/query.o src/multicorn.o
 
 
 DATA         = $(filter-out $(wildcard sql/*--*.sql),$(wildcard sql/*.sql))
 
-DOCS         = $(wildcard doc/*.md)
+DOCS         = $(wildcard $(srcdir)/doc/*.md)
 
 EXTENSION    = multicorn
-EXTVERSION   = $(shell grep default_version $(EXTENSION).control | sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")
+EXTVERSION   = $(shell grep default_version $(srcdir)/$(EXTENSION).control | sed -e "s/default_version[[:space:]]*=[[:space:]]*'\([^']*\)'/\1/")
 
 all: preflight-check sql/$(EXTENSION)--$(EXTVERSION).sql
 
+directories.stamp:
+	[ -d sql ] || mkdir sql
+	[ -d src ] || mkdir src
+	touch $@
+
+$(OBJS): directories.stamp
+
 install: python_code 
 
-sql/$(EXTENSION)--$(EXTVERSION).sql: sql/$(EXTENSION).sql
+sql/$(EXTENSION)--$(EXTVERSION).sql: sql/$(EXTENSION).sql directories.stamp
 	cp $< $@
 
 preflight-check:
-	./preflight-check.sh
-
+	$(srcdir)/preflight-check.sh
 
 python_code: setup.py
-	cp ./setup.py ./setup--$(EXTVERSION).py
+	cp $(srcdir)/setup.py ./setup--$(EXTVERSION).py
 	sed -i -e "s/__VERSION__/$(EXTVERSION)-dev/g" ./setup--$(EXTVERSION).py
 	$(PYTHON) ./setup--$(EXTVERSION).py install
 	rm ./setup--$(EXTVERSION).py
@@ -39,7 +46,7 @@
 	genhtml --show-details --legend --output-directory=coverage --title=PostgreSQL --num-spaces=4 --prefix=./src/ `find . -name lcov.info -print`
 
 DATA = sql/$(EXTENSION)--$(EXTVERSION).sql
-EXTRA_CLEAN = sql/$(EXTENSION)--$(EXTVERSION).sql ./multicorn-$(EXTVERSION).zip
+EXTRA_CLEAN = sql/$(EXTENSION)--$(EXTVERSION).sql ./multicorn-$(EXTVERSION).zip directories.stamp
 PG_CONFIG ?= pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 REGRESS      = virtual_tests
@@ -83,15 +90,45 @@
 	override CPPFLAGS := $(PG_CPPFLAGS) $(CPPFLAGS)
 endif
 
+ifeq ($(PORTNAME),darwin)
+	override LDFLAGS += -undefined dynamic_lookup -bundle_loader $(shell $(PG_CONFIG) --bindir)/postgres
+endif
 
 PYTHON_TEST_VERSION ?= $(python_version)
 PG_TEST_VERSION ?= $(MAJORVERSION)
 SUPPORTS_WRITE=$(shell expr ${PG_TEST_VERSION} \>= 9.3)
+SUPPORTS_IMPORT=$(shell expr ${PG_TEST_VERSION} \>= 9.5)
+UNSUPPORTS_SQLALCHEMY=$(shell python -c "import sqlalchemy;import psycopg2"  1> /dev/null 2>&1; echo $$?)
 
-TESTS        = $(wildcard test-$(PYTHON_TEST_VERSION)/sql/multicorn*.sql)
+TESTS        = test-$(PYTHON_TEST_VERSION)/sql/multicorn_cache_invalidation.sql \
+  test-$(PYTHON_TEST_VERSION)/sql/multicorn_column_options_test.sql \
+  test-$(PYTHON_TEST_VERSION)/sql/multicorn_error_test.sql \
+  test-$(PYTHON_TEST_VERSION)/sql/multicorn_logger_test.sql \
+  test-$(PYTHON_TEST_VERSION)/sql/multicorn_planner_test.sql \
+  test-$(PYTHON_TEST_VERSION)/sql/multicorn_regression_test.sql \
+  test-$(PYTHON_TEST_VERSION)/sql/multicorn_sequence_test.sql \
+  test-$(PYTHON_TEST_VERSION)/sql/multicorn_test_date.sql \
+  test-$(PYTHON_TEST_VERSION)/sql/multicorn_test_dict.sql \
+  test-$(PYTHON_TEST_VERSION)/sql/multicorn_test_list.sql
+
+ifeq (${UNSUPPORTS_SQLALCHEMY}, 0)
+  TESTS += test-$(PYTHON_TEST_VERSION)/sql/multicorn_alchemy_test.sql
+endif
 ifeq (${SUPPORTS_WRITE}, 1)
-  TESTS += $(wildcard test-$(PYTHON_TEST_VERSION)/sql/write*.sql)
+  TESTS += test-$(PYTHON_TEST_VERSION)/sql/write_filesystem.sql \
+	test-$(PYTHON_TEST_VERSION)/sql/write_savepoints.sql \
+	test-$(PYTHON_TEST_VERSION)/sql/write_test.sql
+  ifeq (${UNSUPPORTS_SQLALCHEMY}, 0)
+	TESTS += test-$(PYTHON_TEST_VERSION)/sql/write_sqlalchemy.sql
+  endif
 endif
+ifeq (${SUPPORTS_IMPORT}, 1)
+  TESTS += test-$(PYTHON_TEST_VERSION)/sql/import_test.sql
+  ifeq (${UNSUPPORTS_SQLALCHEMY}, 0)
+	TESTS += test-$(PYTHON_TEST_VERSION)/sql/import_sqlalchemy.sql
+  endif
+endif
+
 REGRESS      = $(patsubst test-$(PYTHON_TEST_VERSION)/sql/%.sql,%,$(TESTS))
 REGRESS_OPTS = --inputdir=test-$(PYTHON_TEST_VERSION) --load-language=plpgsql

=== doc/requirements.txt ===
sphinx
sphinxcontrib-napoleon
mock
sqlalchemy

=== debian/changelog ===
postgresql-multicorn (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * Add patch less-restrictive-testing.diff to fix autopkgtests for debci.
  * Restrict autopkgtests to just postgresql-9.4 as that's the only
    version of the extension the control file lists as a dependency (and
    we cannot dynamically add packages, there).
  * More specific dependencies for autopkgtest.

 -- Markus Wanner <markus@bluegap.ch>  Sun, 28 Jun 2015 11:38:10 +0200

postgresql-multicorn (1.1.0-1~exp1) experimental; urgency=low

  [ Christoph Berg ]
  * debian/test/control: Note minimum versions of postgresql-server-dev-all
    (we need pg_buildext -i) and postgresql-common (we need locale_gen).
  * Improve the VPATH fix patch.

  [ Markus Wanner ]
  * New upstream version.
  * Drop patches 88ce4f068e48f5d748dc92d40ce9ed1c5ae67105 and
    vpath-build.diff, these got applied upstream.
  * Bump S-V: no changes required.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 02 Dec 2014 10:27:02 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python-setuptools, python3-setuptools,
  python-pytest, python3-pytest,
  python-docutils, python3-docutils
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://multicorn.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/postgresql-multicorn.git
 Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-postgresql/postgresql-multicorn.git

=== debian/tests/control ===
Depends: postgresql-9.4-python-multicorn, python-psycopg2, python-sqlalchemy, postgresql-server-dev-all (>= 156~), postgresql-common (>= 159~), postgresql-contrib, postgresql-plpython-9.4
Test-Command: debian/tests/installcheck python2
Restrictions: needs-root allow-stderr

Depends: postgresql-9.4-python3-multicorn, python3-psycopg2, python3-sqlalchemy, postgresql-server-dev-all (>= 156~), postgresql-common (>= 159~), postgresql-contrib, postgresql-plpython3-9.4
Test-Command: debian/tests/installcheck python3
Restrictions: needs-root allow-stderr

## postgresql-multicorn 1.3.2

=== Makefile ===
--- 
+++ 
@@ -42,8 +42,8 @@
 	rm ./multicorn-$(EXTVERSION) -rf
 
 coverage:
-	lcov -d . -c -o lcov.info
-	genhtml --show-details --legend --output-directory=coverage --title=PostgreSQL --num-spaces=4 --prefix=./src/ `find . -name lcov.info -print`
+	lcov -d . -c -o lcov.info --no-external
+	genhtml --show-details --legend --output-directory=coverage --title="Multicorn Code Coverage" --no-branch-coverage --num-spaces=4 --prefix=./src/ `find . -name lcov.info -print`
 
 DATA = sql/$(EXTENSION)--$(EXTVERSION).sql
 EXTRA_CLEAN = sql/$(EXTENSION)--$(EXTVERSION).sql ./multicorn-$(EXTVERSION).zip directories.stamp
@@ -109,7 +109,8 @@
   test-$(PYTHON_TEST_VERSION)/sql/multicorn_sequence_test.sql \
   test-$(PYTHON_TEST_VERSION)/sql/multicorn_test_date.sql \
   test-$(PYTHON_TEST_VERSION)/sql/multicorn_test_dict.sql \
-  test-$(PYTHON_TEST_VERSION)/sql/multicorn_test_list.sql
+  test-$(PYTHON_TEST_VERSION)/sql/multicorn_test_list.sql \
+  test-$(PYTHON_TEST_VERSION)/sql/multicorn_test_sort.sql
 
 ifeq (${UNSUPPORTS_SQLALCHEMY}, 0)
   TESTS += test-$(PYTHON_TEST_VERSION)/sql/multicorn_alchemy_test.sql

=== doc/requirements.txt ===
sphinx
sphinxcontrib-napoleon
mock
sqlalchemy
funcsigs

=== debian/changelog ===
postgresql-multicorn (1.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Grab patches from upstream:
    + Fix "ImportError: 'plpy' is not a built-in module" on python3.
    + Make sure that plpython3 is initialized before Multicorn.
    + Fix string conversion compat layer for Python 3.
  * The built-in regression tests are not important, let's declare this
    Closes: #795590.

 -- Christoph Berg <myon@debian.org>  Tue, 12 Apr 2016 22:48:42 +0200

postgresql-multicorn (1.3.0-1) unstable; urgency=medium

  * New upstream release with 9.5 support.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 11 Jan 2016 12:43:36 +0100

postgresql-multicorn (1.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Testsuite is unfortunately still broken, just differently now.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 22 Dec 2015 16:33:35 +0100

postgresql-multicorn (1.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Ignore testsuite failure until #795590 is resolved.
    (Test is broken, not the code)

 -- Christoph Berg <myon@debian.org>  Sun, 06 Sep 2015 18:18:36 +0200

=== debian/control ===
Source: postgresql-multicorn
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Markus Wanner <markus@bluegap.ch>, Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9~), dh-python,
 postgresql-server-dev-all (>= 171~),
 python-dev (>= 2.7~), python3-dev,
 python-setuptools, python3-setuptools,
 python-pytest, python3-pytest,
 python-docutils, python3-docutils
Standards-Version: 3.9.7
Homepage: http://multicorn.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/postgresql-multicorn.git
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-postgresql/postgresql-multicorn.git

Package: python-multicorn
Section: python
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends:
 python-sqlalchemy,
 python-lxml,
 python-ldap
Suggests: postgresql-python-multicorn
Description: multicorn utility module for postgresql-X.Y-python-multicorn
 Multicorn is a PostgreSQL extension meant to make Foreign Data
 Wrapper development easy, by allowing the programmer to use the
 Python programming language
 .
 This package provides a common Python 2 module used by all PostgreSQL
 versions of the extension.

Package: python3-multicorn
Section: python
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Recommends:
 python3-sqlalchemy,
 python3-lxml,
 python3-ldap
Suggests: postgresql-python3-multicorn
Description: multicorn utility module for postgresql-X.Y-python3-multicorn
 Multicorn is a PostgreSQL extension meant to make Foreign Data
 Wrapper development easy, by allowing the programmer to use the
 Python programming language
 .
 This package provides a common Python 3 module used by all PostgreSQL
 versions of the extension.

Package: postgresql-9.5-python-multicorn
Architecture: any
Depends: python-multicorn, ${misc:Depends}, ${shlibs:Depends}, postgresql-9.5
Conflicts: postgresql-9.5-python3-multicorn
Provides: postgresql-python-multicorn
Description: multicorn extension for Postgres 9.5 to write FDWs with python2
 Multicorn is a PostgreSQL extension meant to make Foreign Data
 Wrapper development easy, by allowing the programmer to use the
 Python programming language
 .
 This package is for PostgreSQL 9.5 and uses Python 2.

Package: postgresql-9.5-python3-multicorn
Architecture: any
Depends: python3-multicorn, ${misc:Depends}, ${shlibs:Depends}, postgresql-9.5
Conflicts: postgresql-9.5-python-multicorn
Provides: postgresql-python3-multicorn
Description: multicorn extension for Postgres 9.5 to write FDWs with python3
 Multicorn is a PostgreSQL extension meant to make Foreign Data
 Wrapper development easy, by allowing the programmer to use the
 Python programming language
 .
 This package is for PostgreSQL 9.5 and uses Python 3.

=== debian/tests/control ===
Depends: postgresql-9.5-python-multicorn, python-psycopg2, python-sqlalchemy, postgresql-server-dev-all (>= 156~), postgresql-common (>= 159~), postgresql-contrib-9.5, postgresql-plpython-9.5
Test-Command: debian/tests/installcheck python2
Restrictions: needs-root allow-stderr

Depends: postgresql-9.5-python3-multicorn, python3-psycopg2, python3-sqlalchemy, postgresql-server-dev-all (>= 156~), postgresql-common (>= 159~), postgresql-contrib-9.5, postgresql-plpython3-9.5
Test-Command: debian/tests/installcheck python3
Restrictions: needs-root allow-stderr

## postgresql-multicorn 1.3.3

=== debian/changelog ===
postgresql-multicorn (1.3.3-2ubuntu2) artful; urgency=medium

  * Add missing test dep on python3-all-dev.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 25 Jul 2017 12:27:43 -0700

postgresql-multicorn (1.3.3-2ubuntu1) artful; urgency=medium

  * Add newpid dependency to the ADT tests.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 25 Jul 2017 17:03:02 +0100

postgresql-multicorn (1.3.3-2build1) artful; urgency=medium

  * No-change rebuild to build with python3.6.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jul 2017 13:55:08 +0000

postgresql-multicorn (1.3.3-2) unstable; urgency=medium

  * Wrap testsuite in "newnet" to have port 5432 available.
  * Cherry-pick to fix ERROR:  Error in python: ImportError
    DETAIL:  cannot import name 'ARRAY'
    https://github.com/soring/Multicorn/commit/655e4fb2b854cc004bf93db7a73a825dd49e35b5.patch

 -- Christoph Berg <myon@debian.org>  Sat, 14 Jan 2017 21:22:30 +0100

postgresql-multicorn (1.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version with 9.6 support.
  * Fix some regression diffs, see
    https://github.com/Kozea/Multicorn/issues/171.
  * Drop less-restrictive-testing.diff, no longer needed.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 27 Sep 2016 13:07:01 +0200

=== debian/control ===
Source: postgresql-multicorn
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders:
 Markus Wanner <markus@bluegap.ch>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 newpid,
 postgresql-server-dev-all (>= 171~),
 python-dev (>= 2.7~),
 python-docutils,
 python-pytest,
 python-setuptools,
 python3-dev,
 python3-docutils,
 python3-pytest,
 python3-setuptools,
Standards-Version: 3.9.8
Homepage: http://multicorn.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/postgresql-multicorn.git
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-postgresql/postgresql-multicorn.git

Package: python-multicorn
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Recommends:
 python-ldap,
 python-lxml,
 python-sqlalchemy,
Suggests:
 postgresql-python-multicorn,
Description: multicorn utility module for postgresql-X.Y-python-multicorn
 Multicorn is a PostgreSQL extension meant to make Foreign Data
 Wrapper development easy, by allowing the programmer to use the
 Python programming language
 .
 This package provides a common Python 2 module used by all PostgreSQL
 versions of the extension.

Package: python3-multicorn
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python3-ldap,
 python3-lxml,
 python3-sqlalchemy,
Suggests:
 postgresql-python3-multicorn,
Description: multicorn utility module for postgresql-X.Y-python3-multicorn
 Multicorn is a PostgreSQL extension meant to make Foreign Data
 Wrapper development easy, by allowing the programmer to use the
 Python programming language
 .
 This package provides a common Python 3 module used by all PostgreSQL
 versions of the extension.

Package: postgresql-9.6-python-multicorn
Architecture: any
Depends:
 postgresql-9.6,
 python-multicorn,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 postgresql-9.6-python3-multicorn,
Provides:
 postgresql-python-multicorn,
Description: multicorn extension for Postgres 9.6 to write FDWs with python2
 Multicorn is a PostgreSQL extension meant to make Foreign Data
 Wrapper development easy, by allowing the programmer to use the
 Python programming language
 .
 This package is for PostgreSQL 9.6 and uses Python 2.

Package: postgresql-9.6-python3-multicorn
Architecture: any
Depends:
 postgresql-9.6,
 python3-multicorn,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 postgresql-9.6-python-multicorn,
Provides:
 postgresql-python3-multicorn,
Description: multicorn extension for Postgres 9.6 to write FDWs with python3
 Multicorn is a PostgreSQL extension meant to make Foreign Data
 Wrapper development easy, by allowing the programmer to use the
 Python programming language
 .
 This package is for PostgreSQL 9.6 and uses Python 3.

=== debian/tests/control ===
Depends: postgresql-9.6-python-multicorn, python-psycopg2, python-sqlalchemy, postgresql-server-dev-all (>= 156~), postgresql-common (>= 159~), postgresql-contrib-9.6, postgresql-plpython-9.6, newpid, python-all-dev
Test-Command: debian/tests/installcheck python2
Restrictions: needs-root allow-stderr

Depends: postgresql-9.6-python3-multicorn, python3-psycopg2, python3-sqlalchemy, postgresql-server-dev-all (>= 156~), postgresql-common (>= 159~), postgresql-contrib-9.6, postgresql-plpython3-9.6, newpid, python3-all-dev
Test-Command: debian/tests/installcheck python3
Restrictions: needs-root allow-stderr

## postgresql-multicorn 1.3.4

=== debian/changelog ===
postgresql-multicorn (1.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 23 Nov 2017 13:03:19 +0100

postgresql-multicorn (1.3.3-6) unstable; urgency=medium

  * Test-Depend on python(3)-all-dev to pull in the correct python version if
    there are several. Analysis and patch by Steve Langasek, thanks!
    Closes: #879897.

 -- Christoph Berg <myon@debian.org>  Mon, 06 Nov 2017 19:24:13 +0100

postgresql-multicorn (1.3.3-5) unstable; urgency=medium

  * Update Makefile and regression tests to actually test PG10.
  * Skip write_filesystem test with python3.6, currently broken.
  * Use socket in /tmp for tests.

 -- Christoph Berg <myon@debian.org>  Sun, 22 Oct 2017 16:23:46 +0200

postgresql-multicorn (1.3.3-4) unstable; urgency=medium

  * Team upload.
  * Update recommends to python(3)-ldap3, spotted by Michael Fladischer.
    Closes: #854976.
  * Move newpid build-dependency to debian/tests/control.in where it is
    actually needed.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 06 Oct 2017 12:36:38 +0200

postgresql-multicorn (1.3.3-3) unstable; urgency=medium

  * Team upload.
  * Cherry-pick patch to support PostgreSQL 10.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 21 Sep 2017 14:43:58 +0200

=== debian/control ===
Source: postgresql-multicorn
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders:
 Markus Wanner <markus@bluegap.ch>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 postgresql-server-dev-all (>= 171~),
 python-dev (>= 2.7~),
 python-docutils,
 python-pytest,
 python-setuptools,
 python3-dev,
 python3-docutils,
 python3-pytest,
 python3-setuptools,
Standards-Version: 4.1.1
Homepage: http://multicorn.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/postgresql-multicorn.git
Vcs-Git: https://alioth.debian.org/anonscm/git/pkg-postgresql/postgresql-multicorn.git

Package: python-multicorn
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Recommends:
 python-ldap3,
 python-lxml,
 python-sqlalchemy,
Suggests:
 postgresql-python-multicorn,
Description: multicorn utility module for postgresql-X.Y-python-multicorn
 Multicorn is a PostgreSQL extension meant to make Foreign Data
 Wrapper development easy, by allowing the programmer to use the
 Python programming language
 .
 This package provides a common Python 2 module used by all PostgreSQL
 versions of the extension.

Package: python3-multicorn
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python3-ldap3,
 python3-lxml,
 python3-sqlalchemy,
Suggests:
 postgresql-python3-multicorn,
Description: multicorn utility module for postgresql-X.Y-python3-multicorn
 Multicorn is a PostgreSQL extension meant to make Foreign Data
 Wrapper development easy, by allowing the programmer to use the
 Python programming language
 .
 This package provides a common Python 3 module used by all PostgreSQL
 versions of the extension.

Package: postgresql-10-python-multicorn
Architecture: any
Depends:
 postgresql-10,
 python-multicorn,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 postgresql-10-python3-multicorn,
Provides:
 postgresql-python-multicorn,
Description: multicorn extension for Postgres 10 to write FDWs with python2
 Multicorn is a PostgreSQL extension meant to make Foreign Data
 Wrapper development easy, by allowing the programmer to use the
 Python programming language
 .
 This package is for PostgreSQL 10 and uses Python 2.

Package: postgresql-10-python3-multicorn
Architecture: any
Depends:
 postgresql-10,
 python3-multicorn,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 postgresql-10-python-multicorn,
Provides:
 postgresql-python3-multicorn,
Description: multicorn extension for Postgres 10 to write FDWs with python3
 Multicorn is a PostgreSQL extension meant to make Foreign Data
 Wrapper development easy, by allowing the programmer to use the
 Python programming language
 .
 This package is for PostgreSQL 10 and uses Python 3.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

export PYBUILD_NAME=multicorn

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build:
#	Invoke python build process for the common python module.
	dh_auto_build

# ignore testsuite failure until #795590 is resolved
# (upstream https://github.com/Kozea/Multicorn/issues/128)
override_dh_auto_test:
	-dh_auto_test --buildsystem=pybuild

override_dh_auto_install:
#	Build the extension via pg_buildext.
	+PYTHON_OVERRIDE=python2 pg_buildext loop postgresql-%v-python-multicorn
	+PYTHON_OVERRIDE=python3 pg_buildext loop postgresql-%v-python3-multicorn

	dh_auto_install

override_dh_installdocs:
	dh_installdocs --all README*

override_dh_python2:
	# we don't support 2.6 on wheezy, only 2.7
	dh_python2 -O--buildsystem=pybuild --no-guessing-versions

override_dh_auto_clean:
	$(MAKE) clean
	dh_auto_clean
	rm -rf regression.diffs regression.out results .cache
	mkdir results # prepare results dir for next adt run

=== debian/tests/control ===
Depends: newpid, postgresql-10-python-multicorn, python-psycopg2, python-sqlalchemy, postgresql-server-dev-all (>= 156~), postgresql-common (>= 159~), postgresql-contrib-10, postgresql-plpython-10, python-all-dev
Test-Command: debian/tests/installcheck python2
Restrictions: needs-root allow-stderr

Depends: newpid, postgresql-10-python3-multicorn, python3-psycopg2, python3-sqlalchemy, postgresql-server-dev-all (>= 156~), postgresql-common (>= 159~), postgresql-contrib-10, postgresql-plpython3-10, python3-all-dev
Test-Command: debian/tests/installcheck python3
Restrictions: needs-root allow-stderr

## postgresql-multicorn 1.3.4-18-g99ea772

=== debian/changelog ===
postgresql-multicorn (1.3.4-18-g99ea772-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Apr 2019 12:42:30 +0200

postgresql-multicorn (1.3.4-4) unstable; urgency=medium

  * Remove python/multicorn.egg-info/ on clean instead of ignoring it.
  * Skip write_filesystem test with python3.7, still broken.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 22 Nov 2018 11:54:39 +0100

postgresql-multicorn (1.3.4-3) unstable; urgency=medium

  * Upload for PostgreSQL 11.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 19 Oct 2018 11:37:02 +0200

postgresql-multicorn (1.3.4-2) unstable; urgency=medium

  * Move packaging repository to salsa.debian.org
  * Move maintainer address to team+postgresql@tracker.debian.org.

 -- Christoph Berg <myon@debian.org>  Mon, 23 Jul 2018 22:39:03 +0200

## postgresql-multicorn 1.3.4-31

=== Makefile ===
--- 
+++ 
@@ -90,7 +90,7 @@
 	override CPPFLAGS := $(PG_CPPFLAGS) $(CPPFLAGS)
 endif
 
-ifeq ($(PORTNAME),darwin)
+ifeq ($(PORTNAME),Darwin)
 	override LDFLAGS += -undefined dynamic_lookup -bundle_loader $(shell $(PG_CONFIG) --bindir)/postgres
 endif

## postgresql-multicorn 1.3.4-31-g9ff7875

=== debian/changelog ===
postgresql-multicorn (1.3.4-31-g9ff7875-3) unstable; urgency=medium

  * Fix linking against python3.8, patch by Stefano Rivera. (Closes: #950767)

 -- Christoph Berg <myon@debian.org>  Thu, 27 Feb 2020 11:35:23 +0100

postgresql-multicorn (1.3.4-31-g9ff7875-2) unstable; urgency=medium

  * src/multicorn.h: Fix for PG 12.1.

 -- Christoph Berg <myon@debian.org>  Tue, 10 Dec 2019 12:22:03 +0100

postgresql-multicorn (1.3.4-31-g9ff7875-1) unstable; urgency=medium

  * New upstream snapshot with PG12 support.
  * Bump minimum supported PG version to 9.6.

 -- Christoph Berg <myon@debian.org>  Thu, 07 Nov 2019 13:40:21 +0100

postgresql-multicorn (1.3.4-18-g99ea772-2) unstable; urgency=medium

  * Disable python2 modules. (Closes: #937311)

 -- Christoph Berg <myon@debian.org>  Wed, 04 Sep 2019 11:03:14 +0200

=== debian/control ===
Source: postgresql-multicorn
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Markus Wanner <markus@bluegap.ch>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 postgresql-server-dev-all (>= 171~),
 python3-dev,
 python3-docutils,
 python3-pytest,
 python3-setuptools,
Standards-Version: 4.4.0
Homepage: http://multicorn.org/
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-multicorn
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-multicorn.git

Package: postgresql-12-python3-multicorn
Architecture: any
Depends:
 postgresql-12,
 python3-multicorn,
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts:
 postgresql-12-python-multicorn,
Provides:
 postgresql-python3-multicorn,
Description: multicorn extension for Postgres 12 to write FDWs with python3
 Multicorn is a PostgreSQL extension meant to make Foreign Data
 Wrapper development easy, by allowing the programmer to use the
 Python programming language
 .
 This package is for PostgreSQL 12 and uses Python 3.

Package: python3-multicorn
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python3-ldap3,
 python3-lxml,
 python3-sqlalchemy,
Suggests:
 postgresql-python3-multicorn,
Description: multicorn utility module for postgresql-X.Y-python3-multicorn
 Multicorn is a PostgreSQL extension meant to make Foreign Data
 Wrapper development easy, by allowing the programmer to use the
 Python programming language
 .
 This package provides a common Python 3 module used by all PostgreSQL
 versions of the extension.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

export PYBUILD_NAME=multicorn

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	ln -s test-3.3 test-3.8

# ignore testsuite failure until #795590 is resolved
# (upstream https://github.com/Kozea/Multicorn/issues/128)
override_dh_auto_test:
	-dh_auto_test --buildsystem=pybuild

override_dh_auto_install:
#	Build the extension via pg_buildext.
	+PYTHON_OVERRIDE=python3 pg_buildext loop postgresql-%v-python3-multicorn

	dh_auto_install

override_dh_installdocs:
	dh_installdocs --all README*

override_dh_auto_clean:
	$(MAKE) clean
	dh_auto_clean
	rm -rf regression.diffs regression.out results .cache
	rm -f test-3.8
	mkdir results # prepare results dir for next adt run

=== debian/tests/control ===
Depends: @, newpid, python3-psycopg2, python3-sqlalchemy, python3-all-dev, postgresql-all
Tests: installcheck
Restrictions: needs-root allow-stderr

=== debian/watch ===
version=3

opts="dversionmangle=s/-.*//" \
https://github.com/Kozea/Multicorn/releases \
 /Kozea/Multicorn/archive/v(.+)\.tar\.gz

## postgresql-multicorn 1.4.0

=== Makefile ===
--- 
+++ 
@@ -81,7 +81,8 @@
 	python_version = $(shell ${PYTHON} --version 2>&1 | cut -d ' ' -f 2 | cut -d '.' -f 1-2)
 	PYTHON_CONFIG ?= python${python_version}-config
 
-	PY_LIBSPEC = $(shell ${PYTHON_CONFIG} --libs)
+	# --embed required for Py >= 3.8
+	PY_LIBSPEC = $(shell ${PYTHON_CONFIG} --embed >/dev/null && ${PYTHON_CONFIG} --libs --embed || ${PYTHON_CONFIG} --libs)
 	PY_INCLUDESPEC = $(shell ${PYTHON_CONFIG} --includes)
 	PY_CFLAGS = $(shell ${PYTHON_CONFIG} --cflags)
 	PY_LDFLAGS = $(shell ${PYTHON_CONFIG} --ldflags)
@@ -96,8 +97,8 @@
 
 PYTHON_TEST_VERSION ?= $(python_version)
 PG_TEST_VERSION ?= $(MAJORVERSION)
-SUPPORTS_WRITE=$(shell expr ${PG_TEST_VERSION} \>= 9.3)
-SUPPORTS_IMPORT=$(shell expr ${PG_TEST_VERSION} \>= 9.5)
+SUPPORTS_WRITE=$(shell expr ${VERSION_NUM} \>= 90300)
+SUPPORTS_IMPORT=$(shell expr ${VERSION_NUM} \>= 90500)
 UNSUPPORTS_SQLALCHEMY=$(shell python -c "import sqlalchemy;import psycopg2"  1> /dev/null 2>&1; echo $$?)
 
 TESTS        = test-$(PYTHON_TEST_VERSION)/sql/multicorn_cache_invalidation.sql \

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Multicorn.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Multicorn.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Multicorn"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Multicorn"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
postgresql-multicorn (1.4.0-3) unstable; urgency=medium

  * Add patch to support PG 13.
  * Use https for homepage.
  * R³: no.

 -- Christoph Berg <myon@debian.org>  Sat, 10 Oct 2020 12:07:57 +0200

postgresql-multicorn (1.4.0-2) unstable; urgency=medium

  * multicorn_planner_test: Accept output deviation from PostgreSQL 12.4.
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Tue, 18 Aug 2020 12:56:57 +0200

postgresql-multicorn (1.4.0-1) unstable; urgency=medium

  * New upstream release importing many patches. \o/
  * Update watch file for changed upstream location on GitHub.
  * Remove patches that went upstream.
  * Simplify testsuite runner.

 -- Christoph Berg <myon@debian.org>  Thu, 05 Mar 2020 22:08:05 +0100

postgresql-multicorn (1.3.4-37-g7cd657a-1) unstable; urgency=medium

  * New upstream snapshot with some patches merged.
  * Work around test failure with python 3.8 and PostgreSQL 9.x.

 -- Christoph Berg <myon@debian.org>  Thu, 05 Mar 2020 09:56:47 +0100

=== debian/control ===
--- 
+++ 
@@ -6,35 +6,36 @@
  Markus Wanner <markus@bluegap.ch>,
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 9~),
+ debhelper-compat (= 13),
  dh-python,
  postgresql-server-dev-all (>= 171~),
  python3-dev,
  python3-docutils,
  python3-pytest,
  python3-setuptools,
-Standards-Version: 4.4.0
-Homepage: http://multicorn.org/
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://multicorn.org/
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-multicorn
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-multicorn.git
 
-Package: postgresql-12-python3-multicorn
+Package: postgresql-13-python3-multicorn
 Architecture: any
 Depends:
- postgresql-12,
+ postgresql-13,
  python3-multicorn,
  ${misc:Depends},
  ${shlibs:Depends},
 Conflicts:
- postgresql-12-python-multicorn,
+ postgresql-13-python-multicorn,
 Provides:
  postgresql-python3-multicorn,
-Description: multicorn extension for Postgres 12 to write FDWs with python3
+Description: multicorn extension for Postgres 13 to write FDWs with python3
  Multicorn is a PostgreSQL extension meant to make Foreign Data
  Wrapper development easy, by allowing the programmer to use the
  Python programming language
  .
- This package is for PostgreSQL 12 and uses Python 3.
+ This package is for PostgreSQL 13 and uses Python 3.
 
 Package: python3-multicorn
 Section: python

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
-
-override_dh_auto_build:
-	ln -s test-3.3 test-3.8
 
 # ignore testsuite failure until #795590 is resolved
 # (upstream https://github.com/Kozea/Multicorn/issues/128)
@@ -28,5 +25,4 @@
 	$(MAKE) clean
 	dh_auto_clean
 	rm -rf regression.diffs regression.out results .cache
-	rm -f test-3.8
 	mkdir results # prepare results dir for next adt run

=== debian/tests/control ===
Depends: @, locales-all, python3-psycopg2, python3-sqlalchemy, postgresql-all
Tests: installcheck
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="dversionmangle=s/-.*//" \
https://github.com/Segfault-Inc/Multicorn/releases \
 /Segfault-Inc/Multicorn/archive/v(.+)\.tar\.gz
